with Raylib;
use  Raylib;

procedure Preview is

   Map : Texture := No_Texture;

begin
   Open_Window (1280, 720, "Pandemos Empire" & ASCII.NUL);
   --
   Map := Load_Texture ("./example/resource/pandemos.png" & ASCII.NUL);
   --
   while not Window_Should_Close
   loop
      Begin_Drawing;
      Draw_Texture (Map);
      End_Drawing;
   end loop;
   --
   Unload_Texture (Map);
   --
   Close_Window;
end Preview;
